Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.utils
Class TableRow

    java.lang.Object
      org.eclipse.swtbot.swt.finder.utils.TableRow

    public class TableRow

extends Object

Represents a table row.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Constructor Summary
`TableRow()` Constructs an empty table row.
`TableRow(int columns)` Constructs a row with the specified number of columns.
`TableRow(String[] strings)` Constructs a table row with the specified columns.

Method Summary
`void` | `add(String text)` Adds a column text label to the list.
`int` | `columnCount()` Gets the number of columns.
`boolean` | `equals(Object obj)`
`String` | `get(int index)` Gets the column at the given index.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableRow

    public TableRow()

  Constructs an empty table row.

### TableRow

    public TableRow(int columns)

  Constructs a row with the specified number of columns.

  Parameters:
    `columns` - the number of columns in the row.

### TableRow

    public TableRow(String[] strings)

  Constructs a table row with the specified columns.

  Parameters:
    `strings` - the items in the row.

Method Detail

### add

    public void add(String text)

  Adds a column text label to the list.

  Parameters:
    `text` - the item to be added at the end of the row.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### get

    public String get(int index)

  Gets the column at the given index.

  Parameters:
    `index` - the index of the column in the row.
  Returns:
    the text at the specified column in the row.

### columnCount

    public int columnCount()

  Gets the number of columns.

  Returns:
    the number of columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD